namespace NodePipeline.Engine.Execution;

public class PipelineExecutor
{
    private readonly List<Action> _steps = [];

    public void AddStep(Action step)
    {
        _steps.Add(step);
    }

    public void Execute()
    {
        foreach (var step in _steps) step();
    }
}